Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514046 - Activation key with subscriptions of different service levels do not work.
Summary: Activation key with subscriptions of different service levels do not work.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Activation Keys
Version: 6.2.12
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: Eric Helms
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 14:50 UTC by Kenny Tordeurs
Modified: 2018-01-10 19:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-10 19:22:04 UTC


Attachments (Terms of Use)

Description Kenny Tordeurs 2017-11-16 14:50:26 UTC
Description of problem:
When you have an Activation Key with Virtual Datacenter subscriptions of different SLA (Premium/Standard) and do not set the service level on the Activation Key none of the VMs are able to pick up the subscriptions, neither the VM running on the hypervisor with the Standard VDC attached nor the VM running on the hypervisor that has the Premium VDC attached.

Note: When changing the service level on the AK to Premium or Standard the VM corresponding to the service level will be able to attach a subscription with the Activation Key.

Would expect that when no service level is defined on the AK that we could use all type of service level subscriptions.

Version-Release number of selected component (if applicable):
6.2.12

How reproducible:
100%

Steps to Reproduce:
1. Have a hypervisor with the Premium VDC subscription attached
2. Have a hypervisor with the Standard VDC subscription attached
3. Create an Activation Key with "Guests of Premium hypervisor" and "Guests of Standard hypervisor" without any service level defined
4. Have a VM on each hypervisor, make sure virt-who has completed the report for the VMs
5. Try to subscribe the VMs with the AK

Actual results:
Neither of the VMs are able to subscribe to the Satellite

Expected results:
Both VMs to be able to subscribe to the Satellite

Additional info:
It's possible to use the AK on the VM when the service level matches the subscription of the hypervisor

Comment 3 Barnaby Court 2018-01-02 18:55:19 UTC
This is working as designed. A single system may use one and only one service level for all subscriptions. Once one activation key or subscription has been attached that specified a service level, no subscriptions with different service levels may be attached.

Comment 4 Brad Buckingham 2018-01-10 19:22:04 UTC
Closing based upon the explanation provided in comment 3.  Please re-open with additional details, if there are any questions or concerns.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.